本文目录一览:
- 1、用python画一个圆
- 2、等一个大佬啊 要求用python创建一个窗口,窗口按钮功能是创建一个球体或立方体。明天上课之前交给我
- 3、python编写 球体,我可以借鉴哪些东西?
- 4、Python程序开发之简单小程序实例(11)小游戏-跳动的小球
- 5、c4d怎么用python画三维图
用python画一个圆
###################################
# coding=utf-8
# !/usr/bin/env python
# __author__ = 'pipi'
# ctime 2014.10.11
# 绘制椭圆和圆形
###################################
from matplotlib.patches import Ellipse, Circle
import matplotlib.pyplot as plt
fig = plt.figure()
ax = fig.add_subplot(111)
ell1 = Ellipse(xy = (0.0, 0.0), width = 4, height = 8, angle = 30.0, facecolor= 'yellow', alpha=0.3)
cir1 = Circle(xy = (0.0, 0.0), radius=2, alpha=0.5)
ax.add_patch(ell1)
ax.add_patch(cir1)
x, y = 0, 0
ax.plot(x, y, 'ro')
plt.axis('scaled')
# ax.set_xlim(-4, 4)
# ax.set_ylim(-4, 4)
plt.axis('equal') #changes limits of x or y axis so that equal increments of x and y have the same length
plt.show()
你可以试试,谢谢。
等一个大佬啊 要求用python创建一个窗口,窗口按钮功能是创建一个球体或立方体。明天上课之前交给我
下面的代码是创建一个立方体
'''
This examples creates and displays a simple box.
'''
# The first line loads the init_display function, necessary to
# enable the builtin simple gui provided with pythonocc
from OCC.Display.SimpleGui import init_display
# Then we import the class that instanciates a box
# Here the BRepPrimAPI module means Boundary Representation Primitive API.
# It provides an API for creation of basic geometries like spheres,cones etc
from OCC.BRepPrimAPI import BRepPrimAPI_MakeBox
# Following line initializes the display
# By default, the init_display function looks for a Qt based Gui (PyQt, PySide)
display, start_display, add_menu, add_function_to_menu = init_display()
# The BRepPrimAPI_MakeBox class is initialized with the 3 parameters of the box: widht, height, depth
my_box = BRepPrimAPI_MakeBox(10., 20., 30.).Shape()
# Then the box shape is sent to the renderer
display.DisplayShape(my_box, update=True)
# At last, we enter the gui mainloop
start_display()
创建页面
#coding:utf8
import wx
app = wx.App() #创建对象
win = wx.Frame(None,title="ahuang1900", size=(410,340)) #创建窗口对象
wx.Button(win, label="open", pos = (245,5), size=(80,25)) #创建按钮1
wx.Button(win, label="save", pos = (325,5), size=(80,25)) #创建按钮2
wx.TextCtrl(win, pos=(5,5), size=(240,25)) #创建文本框1
#创建文本框2
wx.TextCtrl(win, pos=(5,35), size=(400,300), style=wx.TE_MULTILINE|wx.HSCROLL)
win.Show() #显示
app.MainLoop() #主事件循环
python编写 球体,我可以借鉴哪些东西?
Matplotlib模块应该能够画出来,具体你去查看一下官方文档。三维图形绘制里面应该有的,至少有相似的操作。
Python程序开发之简单小程序实例(11)小游戏-跳动的小球
Python程序开发之简单小程序实例
(11)小 游戏 -跳动的小球
一、项目功能
用户控制挡板来阻挡跳动的小球。
二、项目分析
根据项目功能自定义两个类,一个用于控制小球在窗体中的运动,一个用于接收用户按下左右键时,挡板在窗体中的运动。在控制小球的类中,我们还需要考虑当小球下降时,碰到挡板时的位置判断。
三、程序源代码
源码部分截图:
源码:
#!/usr/bin/python3.6
# -*- coding: GBK -*-
#导入相应模块
from tkinter import *
import random
import time
#自定义小球的类 Ball
class Ball:
# 初始化
def __init__(self,canvas,paddle,color):
#传递画布值
self.canvas=canvas
#传递挡板值
self.paddle=paddle
#画圆并且保存其ID
self.id=canvas.create_oval(10,10,25,25,fill=color)
self.canvas.move(self.id,245,100)
#小球的水平位置起始列表
start=[-3,-2,-1,1,2,3]
#随机化位置列表
random.shuffle(start)
self.x=start[0]
self.y=-2
self.canvas_heigh=self.canvas.winfo_height()#获取窗口高度并保存
self.canvas_width=self.canvas.winfo_width()
#根据参数值绘制小球
def draw(self):
self.canvas.move(self.id,self.x,self.y)
pos=self.canvas.coords(self.id)#返回相应ID代表的图形的当前坐标(左上角和右上角坐标)
#使得小球不会超出窗口
pad=self.canvas.coords(self.paddle.id)#获取小球挡板的坐标
if pos[1]=self.canvas_heigh or(pos[3]=pad[1] and pos[2]=pad[0] and pos[2]
c4d怎么用python画三维图
要以Python生成器为媒介。
用以下代码可以简单行程一个三维图,在这个基础上根据您的需要改写代码就可以了。
在生成器内的python代码会生成一个object。默认下,生成了一个立方体,并返回:
import c4d
def main():
return c4d.BaseObject(c4d.Ocube)
UserData输入
当然也可以返回别的物体,或者用userdata调整物体参数。注意op可以快速引用生成器对象。
importc4d
defmain():
cone =c4d.BaseObject(c4d.Ocone)
cone[c4d.PRIM_CONE_TRAD] = op[c4d.ID_USERDATA,1]
return cone
具体创建三维图步骤如下
1首先要【创建】-【造型】-【python生成器】,默认生成一个立方体即python编辑器
2-选中对象,右下角【打开python编辑器】
3-代码表示定义一个函数并返回C4D基本物体
4-这里简单改一下,把原代码中的Ocube改成Osphere,点一下执行,会生成一个三维球体。对于基本造型对象,这里的对象名称通用语法为大写字母O加对象的英文。
5-这里还可以用定义变量返回值的表达方法,比如这里定义变量cone(圆锥),c4d的属性就是大写字母O加上圆锥的英文即Ocone,返回这个变量值,执行就得到了一个圆锥。
6-除了生成基本三维图形,python编辑器可以做很多事情,这里如果有一定的python编码基础,会更容易一些。可以在网上找几个实例试一下,比如这种,生成数字的。可以在搜索引擎输入关键字Cinema 4D - Python scripts来检索别人写好的脚本。